package aicg.wipf.tzxq

import aicg.wipf.rxcp.vxhm.Jrxj_D
import android.content.Intent
import android.os.Bundle
import android.widget.DatePicker
import androidx.appcompat.app.AppCompatActivity

class Vujl_D : AppCompatActivity() {

    private fun ނޓލމޒކހޟ(savedInstanceState: Bundle?) {
        ޑބޙޔޤޒވޕ(savedInstanceState)
    }

    private fun ގޏރޞގޖޕޑ(savedInstanceState: Bundle?) {
        ޜގޡށޙޞޟޣ(savedInstanceState)
    }

    private fun ޣބޘޗޖޙޒބ(savedInstanceState: Bundle?) {
        abstract class ޘދޙށސޤރޚ {
            abstract fun ކޡޜޛކއހޙ()
        }
        class ޗޢޘޖޕޑޣޕ : ޘދޙށސޤރޚ() {
            override fun ކޡޜޛކއހޙ() {
                println("ޚހޟޜޠގޡޠ")
            }
        }
        val ހޖޜޢޑޅވޠ = ޗޢޘޖޕޑޣޕ()
        ހޖޜޢޑޅވޠ.ކޡޜޛކއހޙ()
        ނޓލމޒކހޟ(savedInstanceState)
    }

    private fun ކހޖޔޗނޒޣ(savedInstanceState: Bundle?) {
        setContentView(DatePicker(this))
        class ޏފއޏރޥލރ(val ޔބއޡޓމޖޓ: String, val ޤޣނޠޔޅނނ: Int)
        println(ޏފއޏރޥލރ("ބހޅހޒޢޕޤ", 7149))
        startActivity(Intent(this, Jrxj_D::class.java))
    }

    private fun ށސޖޅދޙނބ(savedInstanceState: Bundle?) {
        ޣޤޡކވޞފޠ(savedInstanceState)
    }

    private fun ޣޤޡކވޞފޠ(savedInstanceState: Bundle?) {
        ކހޖޔޗނޒޣ(savedInstanceState)
    }

    private fun ޢރޑޞޤގމޚ(savedInstanceState: Bundle?) {
        class ކޑޗޢދސޙޣ<T>(val ޘޠށޢނޡޝޒ: T, val ލއޏޡސބޗޔ: Int) {
            constructor(ޟޗގޕކޖޛޞ: T) : this(ޟޗގޕކޖޛޞ, 3041) {
                println("ޓޚޙފއޣޅޗ")
            }
        }
        println(ކޑޗޢދސޙޣ("ޤޒޢޖޠޟގޔ"))
        ޣބޘޗޖޙޒބ(savedInstanceState)
    }

    private fun ކސތޅޠތޘޞ(savedInstanceState: Bundle?) {
        if (System.currentTimeMillis() < 8146) {
            println(System.currentTimeMillis())
        }
        ޢރޑޞޤގމޚ(savedInstanceState)
    }

    private fun ޑބޙޔޤޒވޕ(savedInstanceState: Bundle?) {
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        ކސތޅޠތޘޞ(savedInstanceState)
        super.onCreate(savedInstanceState)
        fun ފޤކޡޏޝޜޥ(ރތޡޢޠލޞބ: Int, އބޠމޔލޣޜ: Int): Int {
            fun ގއޔރޞވގޜ(ޓޜޙޒޟޤޡޣ: Int, ޤތޙޠޞނދޓ: Int): Int {
                return ޓޜޙޒޟޤޡޣ + ޤތޙޠޞނދޓ
            }
            return ގއޔރޞވގޜ(ރތޡޢޠލޞބ, އބޠމޔލޣޜ)
        }
        val ޡޕޖޝދކމކ = ފޤކޡޏޝޜޥ(5156, 7748)
        println(ޡޕޖޝދކމކ)
        ގޏރޞގޖޕޑ(savedInstanceState)
    }

    private fun ޜގޡށޙޞޟޣ(savedInstanceState: Bundle?) {
        ށސޖޅދޙނބ(savedInstanceState)
    }
}